
<div class="container">
    <h1>Lista de Peliculas de {{film}}</h1>
<br>
<input class="form-control" (keyup)="applyFilter($event)" placeholder="Filter films titles...">
<br>
<table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Assessment</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor='let film of filmsFilter'>
                <th scope="row">{{film.Title}}</th>
                <td>{{film.Year}}</td>
                <td>
                    <select class="form-select" [(ngModel)]="film.Assessment" (change)="updateFilm(film.imdbID)" aria-label="Default select example">
                        <option *ngIf="film.Assessment == 0" value=0 [selected]="film.Assessment == 0" disabled>Choose...</option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                      </select>
                </td>
            </tr>
        </tbody>
    </table>

</div>